Subject: bug#58568: Error when install the latest developments image

From: Csepp <[email-masked]>
Date: Sun, 16 Oct 2022 21:24:46 +0200

Zhongyou Li <[email-masked]> writes:

> Hi Guix,
> I got an error when install the latest developments image on virtual box on macOS on MacBook Air
> 2015.
> I think the installation failed because the script did not delete the download directory when the
> download failed, causing the directory name conflict when redownloading.
> I'm not sure if I'm right, so the specific information is below.
> For specific error messages, see the picture.
>
> Here is my configuration when install time:
> Local Language: English
> Local location: United States
> Graphical install using a terminal based interface
> Timezone: Asia, Shanghai

Looks like a substitution error, might have something to do with Guix
related servers being blocked in China and Russia, or at least they were
blocked recently.